"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _grommet = require("grommet");

var _themes = require("grommet/themes");

var _utils = require("grommet/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var navItems = [{
  label: 'HTML',
  href: '#'
}, {
  label: 'JS',
  href: '#'
}, {
  label: 'CSS',
  href: '#'
}, {
  label: 'REACT',
  href: '#'
}];
var customTheme = (0, _utils.deepMerge)(_themes.grommet, {
  anchor: {
    textDecoration: 'none',
    fontWeight: 500,
    color: {
      dark: 'white',
      light: 'neutral-2'
    },
    hover: {
      textDecoration: 'none',
      fontWeight: 700
    }
  }
});

var CustomAnchor = function CustomAnchor() {
  return _react["default"].createElement(_grommet.Grommet, {
    full: true,
    theme: customTheme
  }, _react["default"].createElement(_grommet.Box, {
    background: "dark-1",
    pad: "large",
    fill: true
  }, _react["default"].createElement(_grommet.Box, {
    direction: "row",
    pad: {
      vertical: 'medium'
    }
  }, _react["default"].createElement(_grommet.Nav, {
    width: "small",
    margin: {
      right: 'large'
    }
  }, navItems.map(function (item) {
    return _react["default"].createElement(_grommet.Anchor, {
      href: item.href,
      label: item.label,
      key: item.label
    });
  })), _react["default"].createElement(_grommet.Main, null, "Place main content here"))));
};

(0, _react2.storiesOf)('Nav', module).add('Custom Anchor', function () {
  return _react["default"].createElement(CustomAnchor, null);
});