import React, { useState } from 'react';
import { storiesOf } from '@storybook/react';
import { Box, Button, Calendar, Grommet, Text } from 'grommet';
import { grommet } from 'grommet/themes';
import { FormPreviousLink } from "grommet-icons/es6/icons/FormPreviousLink";
import { FormNextLink } from "grommet-icons/es6/icons/FormNextLink";

var CustomHeaderCalendar = function CustomHeaderCalendar() {
  var _useState = useState(),
      date = _useState[0],
      setDate = _useState[1];

  var onSelect = function onSelect(nextDate) {
    setDate(nextDate !== date ? nextDate : undefined);
  };

  return React.createElement(Grommet, {
    theme: grommet
  }, React.createElement(Box, {
    align: "center",
    pad: "large"
  }, React.createElement(Calendar, {
    date: date,
    onSelect: onSelect,
    size: "small",
    bounds: ['2018-09-08', '2018-12-13'],
    header: function header(_ref) {
      var currentDate = _ref.date,
          locale = _ref.locale,
          onPreviousMonth = _ref.onPreviousMonth,
          onNextMonth = _ref.onNextMonth,
          previousInBound = _ref.previousInBound,
          nextInBound = _ref.nextInBound;
      return React.createElement(Box, {
        direction: "row",
        align: "center",
        justify: "between"
      }, React.createElement(Button, {
        disabled: !previousInBound,
        onClick: onPreviousMonth
      }, React.createElement(Box, null, React.createElement(FormPreviousLink, null))), React.createElement(Text, {
        size: "small"
      }, React.createElement("strong", null, currentDate.toLocaleDateString(locale, {
        month: 'long',
        year: 'numeric'
      }))), React.createElement(Button, {
        disabled: !nextInBound,
        onClick: onNextMonth
      }, React.createElement(Box, null, React.createElement(FormNextLink, null))));
    }
  })));
};

storiesOf('Calendar', module).add('Custom Header', function () {
  return React.createElement(CustomHeaderCalendar, null);
});