import React from 'react';
import { storiesOf } from '@storybook/react';
import { Grommet, Box, Chart } from 'grommet';
import { grommet } from 'grommet/themes';

var BarChart = function BarChart() {
  return React.createElement(Grommet, {
    theme: grommet
  }, React.createElement(Box, {
    align: "center",
    pad: "large"
  }, React.createElement(Chart, {
    type: "bar",
    values: [[10, 20], [20, 30], [30, 15]]
  })));
};

var LineChart = function LineChart() {
  return React.createElement(Grommet, {
    theme: grommet
  }, React.createElement(Box, {
    align: "center",
    pad: "large"
  }, React.createElement(Chart, {
    type: "line",
    values: [20, 30, 15]
  })));
};

var AreaChart = function AreaChart() {
  return React.createElement(Grommet, {
    theme: grommet
  }, React.createElement(Box, {
    align: "center",
    pad: "large"
  }, React.createElement(Chart, {
    type: "area",
    values: [{
      value: [10, 20]
    }, {
      value: [20, 30]
    }, {
      value: [30, 15]
    }]
  })));
};

var PointChart = function PointChart() {
  return React.createElement(Grommet, {
    theme: grommet
  }, React.createElement(Box, {
    align: "center",
    pad: "large"
  }, React.createElement(Chart, {
    type: "point",
    values: [[10, 20], [20, 30], [30, 15]]
  }), React.createElement(Chart, {
    type: "point",
    values: [[10, 20], [20, 30], [30, 15]],
    round: true
  })));
};

storiesOf('Chart', module).add('Bar', function () {
  return React.createElement(BarChart, null);
}).add('Line', function () {
  return React.createElement(LineChart, null);
}).add('Area', function () {
  return React.createElement(AreaChart, null);
}).add('Point', function () {
  return React.createElement(PointChart, null);
});